---
title: WindowEventHandlers.onunhandledrejection
slug: Web/API/WindowEventHandlers/onunhandledrejection
tags:
  - API
  - Event Handler
  - HTML DOM
  - Promises
  - Property
  - Reference
  - WindowEventHandlers
  - events
  - onunhandledrejection
---
<div>{{APIRef}}</div>

<p>The <strong><code>onunhandledrejection</code></strong> property of the {{domxref("WindowEventHandlers")}} mixin is the {{domxref("EventHandler")}} for processing {{event("unhandledrejection")}} events. These events are raised for unhandled {{jsxref("Promise")}} rejections.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">window.onunhandledrejection = <em>function</em>;</pre>

<h3 id="Value">Value</h3>

<p><code>function</code> is an {{domxref("EventHandler")}} or function to call when <code>unhandledrejection</code> events are received by the window. The event handler receives as an input parameter as a {{domxref("PromiseRejectionEvent")}}.</p>

<h2 id="Examples">Examples</h2>

<p>This example logs unhandled rejections' <code>reason</code> values to the console.</p>

<pre class="brush: js">window.onunhandledrejection = function(e) {
  console.log(e.reason);
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webappapis.html#handler-window-onunhandledrejection', 'onunhandledrejection')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WindowEventHandlers.onunhandledrejection")}}</p>
